Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.injac.utils
Class WebdavConnection

    java.lang.Object
      org.injac.utils.WebdavConnection

public class WebdavConnection
extends java.lang.Object

Author:
  shoam TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`WebdavConnection(java.util.Map objectModel)`

Method Summary
`void` | `connect(java.lang.String connexionString)` Connect to the WebDAV server
`void` | `connect(java.lang.String connexionString, java.lang.String alogin, java.lang.String apassword)` Connect to the WebDAV server
`java.io.InputStream` | `getMethodData(java.lang.String path)`
`java.util.Enumeration` | `getProperties(java.lang.String path, int depth)`
`java.util.Enumeration` | `getProperties(java.lang.String path, int depth, java.util.Vector properties)` Give the property of resource
`java.util.Enumeration` | `getResponses(int depth)`
`java.util.Enumeration` | `getResponses(java.lang.String path, int depth)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebdavConnection

    public WebdavConnection(java.util.Map objectModel)

Method Detail

### connect

    public void connect(java.lang.String connexionString)
                 throws java.lang.Exception

  Connect to the WebDAV server

  Throws:
    `java.rmi.ServerException`
    `java.lang.Exception`

### connect

    public void connect(java.lang.String connexionString,
                        java.lang.String alogin,
                        java.lang.String apassword)
                 throws java.lang.Exception

  Connect to the WebDAV server

  Throws:
    `java.rmi.ServerException`
    `java.lang.Exception`

### getProperties

    public java.util.Enumeration getProperties(java.lang.String path,
                                               int depth,
                                               java.util.Vector properties)
                                        throws org.apache.commons.httpclient.URIException,
                                               java.io.IOException

  Give the property of resource

  Returns:
    the array of properties
  Throws:
    `org.apache.commons.httpclient.URIException`
    `java.io.IOException`

### getProperties

    public java.util.Enumeration getProperties(java.lang.String path,
                                               int depth)
                                        throws org.apache.commons.httpclient.URIException,
                                               java.io.IOException

  Throws:
    `org.apache.commons.httpclient.URIException`
    `java.io.IOException`

### getResponses

    public java.util.Enumeration getResponses(java.lang.String path,
                                              int depth)

### getResponses

    public java.util.Enumeration getResponses(int depth)

### getMethodData

    public java.io.InputStream getMethodData(java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD